
QGIS Application - Bug report #9864

Add Delimited Text Layer Crashes Qgis

2014-03-24 06:44 PM - Bogdan Hlevca

Status: Closed

Priority: High

Assignee:

Category: Data Provider/Delimited Text 

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 18392

Description

Open a project, click on Layer->Add Delimited Text Layer and the application will crash. Every time!

It used to work fine in 2.1. Since 2.2 is crashing

History

#1 - 2014-03-25 01:24 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Target version changed from Version 2.2 to Version 2.4

- Crashes QGIS or corrupts data changed from No to Yes

I may have seen something similar, but can't replicate now on QGIS master, so... please test qgis master and also attach here sample data (and exact

steps) to allow try replicate the issue.

#2 - 2014-03-25 07:23 AM - Bogdan Hlevca

There is no need for a file as it crashes before you can open any dialog.

However, I noticed that there are two "Add Delimited Text Layer" menu entries. One is from the plugin one is for the built in feature. This report it is for the

plugin. The built in one works. Sorry for the confusion.

I don't know how to assign it to a plugin.

#3 - 2014-03-25 07:35 AM - Bogdan Hlevca

- File qgis_menu.png added

I attached a screen shot showing the menu with 2 similar entries. The one on the bottom crashes qgis.

The plugin cannot be uninstalled, so I am confused now. Is it the plugin that provides the CSV layer feature, but there is a problem with the menu? Is the

bottom menu item linked to something that crashes Qgis?

#4 - 2014-03-29 09:38 AM - Antonio Locandro

I am not able to see the plugin you mention, did you do a clean install or an upgrade? I think it may be the plugin left from a previous version
#5 - 2014-03-29 10:23 AM - Jürgen Fischer

Bogdan Hlevca wrote:

I attached a screen shot showing the menu with 2 similar entries. The one on the bottom crashes qgis. 

The plugin cannot be uninstalled, so I am confused now. Is it the plugin that provides the CSV layer feature, but there is a problem with the menu? Is

the bottom menu item linked to something that crashes Qgis?

Your plugin is pretty old.  It was moved to core last may.  The plugin tab in the message log window should show where the plugin is loaded from.  Check if

you have a leftover (lib)delimitedtextplugin.(so/dll) anywhere and remove it.

#6 - 2014-06-10 11:28 PM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for the lack of feedback.

Files

qgis_menu.png 1.32 MB 2014-03-25 Bogdan Hlevca
